!!MP Inlines.f

C		An example of a FORTRAN Resource for Microsoft Excel 3.0
C	This example call illustrates returning string buffer data, 
C	zero terminated strings - Data Type F. Testing for this example
C	was done with Language Systems FORTRAN version 3.0
C	
C	Below are the commands that were executed to create the 
C	code resource

!!IFC FALSE
 FORTRAN DATAF.f -opt=1 -noimplicit
Link -w -f -srt -ad 4 -t '????' -c '????' ¶
-m DATAF -sn Main=DATAF ¶
-sn f_RunTime=DATAF ¶
-sn f_Intrinsics=DATAF ¶
	DATAF.f.o ¶
	"{FLibraries}"OutpwStubs.o ¶
	"{Libraries}"Runtime.o ¶
	"{Libraries}"Interface.o ¶
	"{FLibraries}"FORTRANlib.o ¶
	"{FLibraries}"IntrinsicLib.o ¶
	"{FLibraries}"FSANELib.o ¶
	-o DATAF.rsc

!!ENDC

C	Source code

	integer*4 function DATAF(%val(a))
	
	pointer /character*256/ a

	a^ = 'Greetings'
	a^(10:10) = char(0)
	DATAF = a
	
	return
	end
	
		
	